RSGP - Feature #2509

TM to Payroll untuk Dokter
01/18/2024 04:04 PM - haykal haykal

Status: QA Test Start date: 01/18/2024
Priority: Immediate Due date: 01/20/2024
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Ada WorkScheduleType baru yaitu DrSHIFT untuk Dokter yang shift
Berikut adalah tipe shift untuk Dokter:
Dinas Pagi: 07:00 - 14:00

Jaga Biasa: 14:00 - 08:00 (esok harinya)
Jaga Besar: 07:00 - 08:00 (esok harinya) (Jaga Besar hanya berlaku pada hari Minggu dan Hari Libur Nasional)

Attendance Type Day Type Figure
DP DPD C_TunjDinasPagiDokter
JBI JBI C_TunjJagaBiasa
JBE JBE C_TunjJagaBesar

note: Dokter adalah karyawan yang memiliki Payroll Class 07

DB: MinovaES_RSGP_Dev (di 1442)
port: http://remote.minovais.com:31144/

Terimakasih.

History

#1 - 01/18/2024 04:06 PM - haykal haykal

- Description updated

#2 - 01/18/2024 04:07 PM - haykal haykal

- Description updated

#3 - 01/19/2024 02:50 PM - Kezia Pawitra Yulianti
- Due date set to 01/20/2024
- Status changed from New to Assigned

- Priority changed from Normal to Immediate

#4 - 01/19/2024 03:11 PM - Kezia Pawitra Yulianti

Penambahan figur nya adalah
C_PotDinasPagi
C_PotJagaBiasa

secara ketentuan untuk Dokter ini sama persis dgn ketentuan yg berlaku di WS Type SHIFT.

22 hari, jika lebih ada tambahan tunjangan dan jika kurang maka ada potongan

Untuk tunj transport dan pot transport, pakai saja figur yg sama dgh WS Type SHIFT karena secara tarif juga sama dan ketentuan jg sama jd tidak d
buatkan figur transport khusus untuk dokter.

Bisa khan Yoms kalau gt?

Tks

#5 - 01/26/2024 09:34 AM - haykal haykal

Untuk Dokter yang Jaga Besar (JBE) mendapat Tunjangan Transport (Wage Type: 1400, Figure: C_Transport) juga.

#6 - 01/26/2024 09:51 AM - haykal haykal

07/01/2025 12



http://remote.minovais.com:31144/

Dokter (Payroll Class 07) mendapat Tunjangan Shift Dokter (Wage Type: 1306) apabila dia menjalani Jaga Biasa (JBI) atau Jaga Besar (JBE).

Jadi kalau misalkan dalam sebulan dokter tersebut menjalani Jaga Biasa atau Jaga Besar minimal sekali dalam sebulan, maka dia akan mendapat
Tunjangan Shift Dokter sebesar 200.000

Note: Tunjangan Shift Dokter ini hanya diberikan 1 kali dalam sebulan.

#7 - 01/26/2024 09:56 AM - haykal haykal
Figure untuk Tunjangan Shift Dokter: C_TunjShiftDokter

#8 - 01/26/2024 11:03 AM - Kezia Pawitra Yulianti

saya tambahkan informasinya sedikit ya untuk
Untuk Dokter yang Jaga Besar (JBE) mendapat Tunjangan Transport (Wage Type: 1400, Figure: C_Transport) juga.

ada genparam baru yaitu
TTPRSGPTUNJTRANSPORTJAGABESARATTTYPE
TTPRSGPTUNJTRANSPORTJAGABESARMAXDAY
TTPRSGPTUNJTRANSPORTJAGABESARWSTYPE
Tks

#9 - 01/30/2024 03:58 PM - Tri Rizqiaty

- Status changed from Assigned to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

Haykal, tolong ditest ya
